#ifndef AVIFILE_GSM61DEC_H
#define AVIFILE_GSM61DEC_H

#include <audiodecoder.h>

class MSGSM_Decoder : public IAudioDecoder
{
public:
    MSGSM_Decoder(const CodecInfo&, const WAVEFORMATEX*);
    virtual size_t GetMinSize();
    virtual int Convert(const void*, size_t, void*, size_t, size_t*, size_t*);
};

#endif // AVIFILE_GSM61DEC_H
